summaryrefslogtreecommitdiff
path: root/net-wireless/airpwn
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /net-wireless/airpwn
Added ebuilds for kogaion desktop
Diffstat (limited to 'net-wireless/airpwn')
-rw-r--r--net-wireless/airpwn/Manifest2
-rw-r--r--net-wireless/airpwn/airpwn-1.4-r1.ebuild38
2 files changed, 40 insertions, 0 deletions
diff --git a/net-wireless/airpwn/Manifest b/net-wireless/airpwn/Manifest
new file mode 100644
index 00000000..4ec2b16c
--- /dev/null
+++ b/net-wireless/airpwn/Manifest
@@ -0,0 +1,2 @@
+DIST airpwn-1.4.tgz 910109 RMD160 4703b31cbf70b5d7fac4b921722c81fde5e29bc7 SHA1 30df2f76cbbf35a9aa4053fa622f5249f2960e88 SHA256 f689cd5a9038832cb0aaefa18cae0c282a6bfbeea38819cf47f306f14344e164
+EBUILD airpwn-1.4-r1.ebuild 902 RMD160 1fe28858e156bcc5cf856e133292706b553f678f SHA1 7b562c002900e6a71963c26af66cf545f7098d58 SHA256 9c2bb7938cf52299406ceb456ecddee160160f50009b0ad2f5c0dc033f09512d
diff --git a/net-wireless/airpwn/airpwn-1.4-r1.ebuild b/net-wireless/airpwn/airpwn-1.4-r1.ebuild
new file mode 100644
index 00000000..6334c43e
--- /dev/null
+++ b/net-wireless/airpwn/airpwn-1.4-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit python flag-o-matic
+
+DESCRIPTION="a tool for generic packet injection on 802.11"
+HOMEPAGE="http://airpwn.sf.net"
+SRC_URI="mirror://sourceforge/airpwn/$P.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="+examples"
+
+DEPEND=""
+RDEPEND="net-wireless/lorcon-old
+ net-libs/libnet
+ dev-lang/python"
+
+src_configure() {
+ append-ldflags $(no-as-needed)
+ econf
+ # this is a huge mess...
+ sed -i "s/python2.4/python$(python_get_version)/g" conf.h || die "sed failed"
+ sed -i "s|-lssl -lorcon -lpthread -lpcre -lpcap -lnet|-lssl -lorcon -lpthread -lpcre -lpcap -lnet -lpython$(python_get_version)|g" Makefile || die "sed failed"
+}
+
+src_install() {
+ DESTDIR="${D}" emake install
+ dodoc README
+ if use examples; then
+ docinto sample-configs
+ dodoc conf/*
+ fi
+}